#
# Conditional build:
%bcond_without	static_libs	# static library
%bcond_with	tests		# build without tests

Summary:	Library providing binary-decimal and decimal-binary routines for IEEE doubles
Summary(pl.UTF-8):	Biblioteka dostarczająca przejścia binarno-dziesiętne i dziesiętno-binarne dla typów double IEEE
Name:		double-conversion
Version:	3.3.0
Release:	1%{?tld}
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/google/double-conversion/releases
Source0:	https://github.com/google/double-conversion/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	b344abb64084a4a1d98a43e67752989b
URL:		https://github.com/google/double-conversion
BuildRequires:	cmake >= 3.0
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This project (double-conversion) provides binary-decimal and
decimal-binary routines for IEEE doubles.

The library consists of efficient conversion routines that have been
extracted from the V8 JavaScript engine. The code has been refactored
and improved so that it can be used more easily in other projects.

%description -l pl.UTF-8
Projekt double-conversion dostarcza funkcje przejścia
binarno-dziesiętne i dziesiętno-binarne dla typów double IEEE.

Biblioteka składa się z wydajnych funkcji konwersji, wyciągniętych z
silnika JavaScriptu V8. Kod został zrefaktorowany i ulepszony, dzięki
czemu może być łatwiej używany w innych projektach.

%package devel
Summary:	Header files for double-conversion library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki double-conversion
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Contains header files for developing applications that use the
double-conversion library.

There is extensive documentation in double-conversion.h.

%description devel -l pl.UTF_8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących bibliotekę double-conversion.

W pliku double-conversion.h zawarta jest obszerna dokumentacja.

%package static
Summary:	Static double-conversion library
Summary(pl.UTF-8):	Statyczna biblioteka double-conversion
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static double-conversion library.

%description static -l pl.UTF-8
Statyczna biblioteka double-conversion.

%prep
%setup -q

%build
%if %{with static_libs}
install -d build-static
cd build-static
%cmake .. \
	-DBUILD_SHARED_LIBS=OFF

%{__make}
cd ..
%endif

install -d build
cd build
%cmake .. \
	%{?with_tests:-DBUILD_TESTING=ON}

%{__make}

%{?with_tests:ctest}

%install
rm -rf $RPM_BUILD_ROOT

%if %{with static_libs}
%{__make} -C build-static install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS Changelog LICENSE README.md
%attr(755,root,root) %{_libdir}/libdouble-conversion.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdouble-conversion.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdouble-conversion.so
%{_includedir}/double-conversion
%{_libdir}/cmake/double-conversion

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdouble-conversion.a
%endif
%changelog
* Wed Dec 13 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/double-conversion.git;a=log;h=master

* Tue Jul 25 2023 Jakub Bogusz <qboosh@pld-linux.org> 06ff17b
- updated to 3.3.0

* Sat Mar 04 2023 Jakub Bogusz <qboosh@pld-linux.org> 393f812
- updated to 3.2.1

* Mon Feb 07 2022 Jakub Bogusz <qboosh@pld-linux.org> 210b66d
- updated to 3.2.0

* Sun Dec 05 2021 Jakub Bogusz <qboosh@pld-linux.org> 21a2a2f
- updated to 3.1.6

* Wed May 06 2020 Jakub Bogusz <qboosh@pld-linux.org> e18cdfc
- updated to 3.1.5 (note: new soname)
- switched to cmake as more reliable

* Wed Jul 29 2015 Elan Ruusamäe <glen@delfi.ee> d7f4d10
- url updated again, run tests

* Thu Mar 26 2015 Elan Ruusamäe <glen@delfi.ee> 8cea968
- x32 rebuild
- release 2 (by relup.sh)

* Mon Nov 17 2014 Elan Ruusamäe <glen@delfi.ee> 79650ef
- update url (tarball contents same, so not updated)

* Sun Jan 12 2014 Elan Ruusamäe <glen@delfi.ee> 0f85dd0
- up to 1.1.5, SConstruct merged upstream http://code.google.com/p/double-conversion/issues/detail?id=42

* Sun Jan 12 2014 Elan Ruusamäe <glen@delfi.ee> 48fe636
- up to 1.1.4; library name with minus not underscore

* Sat Oct 05 2013 Elan Ruusamäe <glen@delfi.ee> 7a85876
- package Changelog

* Sat Oct 05 2013 Elan Ruusamäe <glen@delfi.ee> 09cc377
- install shared lib, requires scons 2.3.0

* Sat Oct 05 2013 Elan Ruusamäe <glen@delfi.ee> a54fc8c
- simplify headers install

* Sat Oct 05 2013 Elan Ruusamäe <glen@delfi.ee> af4206e
- add static package

* Sat Oct 05 2013 Elan Ruusamäe <glen@delfi.ee> 6a350ab
- merge with upstream SConstruct, reuse shared objects

* Sat Oct 05 2013 Elan Ruusamäe <glen@delfi.ee> a6527f0
- install shared lib

* Sat Oct 05 2013 Elan Ruusamäe <glen@delfi.ee> 3a886c7
- use our CXX/CXXFLAGS

* Sat Oct 05 2013 Elan Ruusamäe <glen@delfi.ee> 95c391f
- enhanced desc from README

* Sat Oct 05 2013 Elan Ruusamäe <glen@delfi.ee> 002c3a9
- new, version 1.1.1

